<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Update Contest</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>

    <link rel="icon" type="image/x-icon" href="../assets/img/favicon.ico" th:href="@{/img/favicon.ico}"/>
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800"
          rel="stylesheet" type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!--Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<!-- Portfolio Modal 1-->
<div class="container">
    <div class="row">
        <div class="col-lg-10 col-xl-9 mx-auto">
            <div class="card flex-row my-5 border-0 shadow rounded-3 overflow-hidden">
                <div class="card-body p-4 p-sm-5">
                    <form class="mb-4" action="#" enctype="multipart/form-data"
                          th:action="@{__${#httpServletRequest.requestURI}__}" th:object="${contest}" method="post">
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="floatingInput"
                                   th:field="*{title}" placeholder="Contest title">
                            <label for="floatingInput">Contest title</label>
                        </div>
                        <div class="form-floating mb-3">
                        </div>

                        <label class="form-label" for="fileImage">Category</label>
                        <div class="input-group">
                            <select th:field="*{category_id}" class="custom-select" id="inputGroupSelect04">
                                <option th:each="category : ${categories}"
                                        th:value="${category.getId()}"
                                        th:text="${category.getName()}">
                                </option>
                            </select>
                            <a th:href="@{/categories/new}">
                                <div class="input-group-append">
                                    <button class="btn btn-outline-secondary" type="button">Button</button>
                                </div>
                            </a>
                        </div>

                        <label class="form-label" for="fileImage">Upload Photo</label>
                        <input type="file" name="fileImage" id="fileImage" th:field="*{multipartFile}"
                               class="form-control"/>
                        <!--                            Phase 1 Time limit-->
                        <label class="form-label" for="fileImage">Phase 1 Time limit</label>
                        <input type="text" class="form-control" th:field="*{phase1}">
                        <!--                                Phase 2 set hours-->
                        <label class="form-label" for="fileImage">Phase 2 Time limit</label>
                        <input type="text" class="form-control" th:field="*{phase2}">
                        <br/>
                        <div>
                            <button type="submit" class="btn btn-primary" data-bs-dismiss="modal">
                                <i class="fas fa-check fa-fw"></i>
                                Add
                                <Event></Event>
                            </button>
                            <a href="contests" th:href="@{/contests/}">
                                <button class="btn btn-primary" data-bs-dismiss="modal">
                                    <i class="fas fa-xmark fa-fw"></i>
                                    Go Back
                                </button>
                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>